Bug 820731 - Xorg.0.log continually keeps filling up with debug messages.
Xorg.0.log continually keeps filling up with debug messages.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 15:47 EDT by equites.vero
Modified: 2013-08-01 09:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:38:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg Log (278.67 KB, text/x-log)
2012-05-10 15:47 EDT, equites.vero
no flags Details
Hardware information (16.68 KB, application/octet-stream)
2012-05-11 15:01 EDT, equites.vero
no flags Details
Xorg.0.log from F17 (RV770 [Radeon HD 4870]) @ 1920x1200 (117.22 KB, text/x-log)
2012-11-28 15:13 EST, Soeren Grunewald
no flags Details

  None (edit)
Description equites.vero 2012-05-10 15:47:25 EDT
Created attachment 583666 [details]
Xorg Log

Description of problem:
I noticed that my mouse would randomly freeze for a second but jump back to life after a second. Checking out log files, my Xorg.0.log is filled with thousands of lines of the same messages, e.g.:
[  1136.215] (II) RADEON(0): radeon_dri2_schedule_flip:655 fevent[0x1868f80]
[  1136.220] (II) RADEON(0): radeon_dri2_flip_event_handler:1017 fevent[0x1868f80] width 1440 pitch 5888 (/4 1472)
[  1196.215] (II) RADEON(0): radeon_dri2_schedule_flip:655 fevent[0x1866640]
[  1196.230] (II) RADEON(0): radeon_dri2_flip_event_handler:1017 fevent[0x1866640] width 1440 pitch 5888 (/4 1472)
Every two seconds the log is continually updated with the same messages and it keeps filling up thousands of lines and doesn't stop.

Version-Release number of selected component (if applicable):
Default Fedora 16 open source video drivers.

How reproducible:
Always.

Steps to Reproduce:
1. Boot and log in into Fedora.
2. Use computer for a few minutes.
3. Xorg.0.log starts filling up with same messages updating continually.
  
Actual results:
Flickering icons in Gnome 3 dash. Mouse sometimes freezes for a second. Xorg.0.log keeps getting bigger and bigger.

Expected results:
A computer without these problems.

Additional info: Possibly also interferes with internet connection as many times internet stops working but that could be unrelated to this.
Comment 1 equites.vero 2012-05-11 15:01:16 EDT
Created attachment 583908 [details]
Hardware information
Comment 2 equites.vero 2012-05-11 18:12:52 EDT
Actually, I found out that this does not ALWAYS occur, but switching Desktop Environments or logging out and back in seems to trigger the messages. But this is not specific to one DE, but occurs no matter which one I'm logged into.
Comment 3 Yul Rottmann 2012-06-04 09:29:07 EDT
I also have these messages in my log files, but no freezing problems. Two monitor setup btw.

[    49.087] (II) RADEON(0): radeon_dri2_schedule_flip:665 fevent[0x38cb570]
[    49.105] (II) RADEON(0): radeon_dri2_flip_event_handler:1069 fevent[0x38cb570] width 2560 pitch 10240 (/4 2560)
[    49.106] (II) RADEON(0): radeon_dri2_schedule_flip:665 fevent[0x38cb510]
[    49.121] (II) RADEON(0): radeon_dri2_flip_event_handler:1069 fevent[0x38cb510] width 2560 pitch 10240 (/4 2560)
Comment 4 Scott Stevens 2012-08-18 17:27:25 EDT
VGA compatible controller: ATI Technologies Inc RV410 [Radeon X700]

I have the same issue as well and it occurs with all kernels from 
3.4.6-2.fc17.i686.PAE to 3.5.2-1.fc17.i686.PAE

Xorg.0.log is every expanding with the folling messages..

[   618.404] (II) RADEON(0): radeon_dri2_flip_event_handler:1069 fevent[0x94cb590] width 1440 pitch 5888 (/4 1472)
[   618.509] (II) RADEON(0): radeon_dri2_schedule_flip:665 fevent[0x9539178]
[   618.653] (II) RADEON(0): radeon_dri2_flip_event_handler:1069 fevent[0x9539178] width 1440 pitch 5888 (/4 1472)
[   618.690] (II) RADEON(0): radeon_dri2_schedule_flip:665 fevent[0x9589de0]
[   618.722] (II) RADEON(0): radeon_dri2_flip_event_handler:1069 fevent[0x9589de0] width 1440 pitch 5888 (/4 1472)
Comment 5 equites.vero 2012-08-19 16:08:54 EDT
Hello, I would like to say one thing. The freezing issue and flickering issue should actually NOT be a part of this bug report. They were occurring due to a faulty hard disk. So please ignore that part. Only problem is that xorg log is filling up infinitely with the radeon messages. Thank you.
Comment 6 Soeren Grunewald 2012-11-28 15:13:10 EST
Created attachment 653729 [details]
Xorg.0.log from F17 (RV770 [Radeon HD 4870]) @ 1920x1200

The issue also exists under F17.
Comment 7 Soeren Grunewald 2012-11-28 15:22:03 EST
A possible workaround is to disable debugging in gdm.

/etc/gdm/custom.conf
[debug]
Enable=false
Comment 8 Fedora End Of Life 2013-01-16 16:05:17 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Tadej Janež 2013-02-04 12:19:43 EST
As mentioned in comment #6, this is still an issue with F17, so I bumped the version.

Has anyone reproduced this on F18 or rawhide?
Comment 10 Fedora End Of Life 2013-07-04 00:25:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Tadej Janež 2013-08-01 03:38:40 EDT
I couldn't reproduce this anymore with F18.
Comment 12 Fedora End Of Life 2013-08-01 09:28:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.